<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
GetSel Method (IEdmTaskProperties)
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmTaskProperties Interface : GetSel Method (IEdmTaskProperties)

Visual Basic
C#
C++/CLI

ppoSel
  Array of EdmTaskSel structures; one structure for each selected object

Gets the selection of objects on which to execute this task.

# Syntax

Visual Basic |
--- | ---

    Sub GetSel( _
       ByRef ppoSel() As EdmTaskSel _
    )

C# |
--- | ---

    void GetSel(
       out EdmTaskSel[] ppoSel
    )

C++/CLI |
--- | ---

    void GetSel(
    &   [Out] array<EdmTaskSel>^ ppoSel
    )

#### Parameters

ppoSel
  Array of EdmTaskSel structures; one structure for each selected object

# Remarks

The user can select the objects on which the task performs from a dialog box that is displayed when the task add-in calls IEdmAddIn5::OnCmd. The hook, EdmCmdType.EdmCmd_TaskLaunch, must be previously registered by calling IEdmCmdMgr5::AddHook in your implementation of IEdmAddIn5::GetAddInInfo. The add-in returns the user's selections in the EdmCmdData structures that are returned by IEdmAddIn5::OnCmd.

You can set a selection of objects directly in this task definition by calling IEdmTaskProperties::SetSel.

Return codes:

- S_OK: The method successfully executed.

# See Also

####

IEdmTaskProperties Interface
IEdmTaskProperties Members
Task Add-in Sample

# Availability

SOLIDWORKS PDM Professional 2010